| 0.9.9 API documenation

- Main Page
- Modules
- Files

Functions
GLM_GTX_matrix_operation
GTX Extensions (Experimental)

Build diagonal matrices from vectors. More...

## Functions
template<typename T , precision P>
GLM_FUNC_DECL tmat2x2< T, P > | diagonal2x2 (tvec2< T, P > const &v)
| Build a diagonal matrix. More...
template<typename T , precision P>
GLM_FUNC_DECL tmat2x3< T, P > | diagonal2x3 (tvec2< T, P > const &v)
| Build a diagonal matrix. More...
template<typename T , precision P>
GLM_FUNC_DECL tmat2x4< T, P > | diagonal2x4 (tvec2< T, P > const &v)
| Build a diagonal matrix. More...
template<typename T , precision P>
GLM_FUNC_DECL tmat3x2< T, P > | diagonal3x2 (tvec2< T, P > const &v)
| Build a diagonal matrix. More...
template<typename T , precision P>
GLM_FUNC_DECL tmat3x3< T, P > | diagonal3x3 (tvec3< T, P > const &v)
| Build a diagonal matrix. More...
template<typename T , precision P>
GLM_FUNC_DECL tmat3x4< T, P > | diagonal3x4 (tvec3< T, P > const &v)
| Build a diagonal matrix. More...
template<typename T , precision P>
GLM_FUNC_DECL tmat4x2< T, P > | diagonal4x2 (tvec2< T, P > const &v)
| Build a diagonal matrix. More...
template<typename T , precision P>
GLM_FUNC_DECL tmat4x3< T, P > | diagonal4x3 (tvec3< T, P > const &v)
| Build a diagonal matrix. More...
template<typename T , precision P>
GLM_FUNC_DECL tmat4x4< T, P > | diagonal4x4 (tvec4< T, P > const &v)
| Build a diagonal matrix. More...

## Detailed Description

Build diagonal matrices from vectors.

<glm/gtx/matrix_operation.hpp> need to be included to use these functionalities.

## Function Documentation

GLM_FUNC_DECL tmat2x2<T, P> glm::diagonal2x2 | ( | tvec2< T, P > const & | v | ) |

Build a diagonal matrix.

From GLM_GTX_matrix_operation extension.

GLM_FUNC_DECL tmat2x3<T, P> glm::diagonal2x3 | ( | tvec2< T, P > const & | v | ) |

Build a diagonal matrix.

From GLM_GTX_matrix_operation extension.

GLM_FUNC_DECL tmat2x4<T, P> glm::diagonal2x4 | ( | tvec2< T, P > const & | v | ) |

Build a diagonal matrix.

From GLM_GTX_matrix_operation extension.

GLM_FUNC_DECL tmat3x2<T, P> glm::diagonal3x2 | ( | tvec2< T, P > const & | v | ) |

Build a diagonal matrix.

From GLM_GTX_matrix_operation extension.

GLM_FUNC_DECL tmat3x3<T, P> glm::diagonal3x3 | ( | tvec3< T, P > const & | v | ) |

Build a diagonal matrix.

From GLM_GTX_matrix_operation extension.

GLM_FUNC_DECL tmat3x4<T, P> glm::diagonal3x4 | ( | tvec3< T, P > const & | v | ) |

Build a diagonal matrix.

From GLM_GTX_matrix_operation extension.

GLM_FUNC_DECL tmat4x2<T, P> glm::diagonal4x2 | ( | tvec2< T, P > const & | v | ) |

Build a diagonal matrix.

From GLM_GTX_matrix_operation extension.

GLM_FUNC_DECL tmat4x3<T, P> glm::diagonal4x3 | ( | tvec3< T, P > const & | v | ) |

Build a diagonal matrix.

From GLM_GTX_matrix_operation extension.

GLM_FUNC_DECL tmat4x4<T, P> glm::diagonal4x4 | ( | tvec4< T, P > const & | v | ) |

Build a diagonal matrix.

From GLM_GTX_matrix_operation extension.